%define rel 4
%define rhrel %([ -f /etc/redhat-release ] && rpm -q --qf %{VERSION} redhat-release)
%define rhtag %([ -n "%{rhrel}" ] && echo .%{rhrel})

Summary: A utility which displays a tree view of the contents of directories.
Name: tree
Version: 1.4
Release: %{rel}%{rhtag}
Group: Applications/File
License: Artistic License for tree (see LICENSE)
Source: ftp://mama.indstate.edu/linux/%{name}/%{name}-%{version}b3.tgz
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The tree utility recursively displays the contents of directories in a
tree-like format. Tree is basically a UNIX port of the DOS tree utility.

Install tree if it would be useful to view the contents of specified
directories in a tree-like format.

%prep
%setup -q

%build
rm -f tree
make "CFLAGS=${RPM_OPT_FLAGS}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
%makeinstall \
	BINDIR=%{buildroot}%{_bindir} \
	MANDIR=%{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README* CHANGES LICENSE
%attr(0755,root,root) %{_bindir}/tree
%{_mandir}/man1/tree.1*

%changelog
* Mon Apr 28 2003 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 9

* Wed Nov 20 2002 Peter Soos <sp@osb.hu>
- moved to version 1.4b3

* Fri Aug 23 2002 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 7.3
- moved to version 1.4b2

* Sun Nov 18 2001 Peter Soos <sp@osb.hu>
- Corrected permission of executable
- Rebuilt under RedHat Linux 7.2

* Fri Oct 05 2001 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 7.2 beta

* Fri May 04 2001 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 7.1

* Wed Apr 25 2001 Peter Soos <sp@osb.hu>
- Rebuilt for RedHat Linux 7.0

* Tue Dec 12 2000 Peter Soos <sp@osb.hu>
- moved to version 1.3

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove executable bit from man page (Bug #9035)
- deal with rpm compressing man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- installing in /usr/bin

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- fixed src url

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
